package com.fr.plugin.decision.api.bean;

import com.fr.decision.webservice.bean.BaseBean;
import com.fr.plugin.decision.api.bean.filter.row.SimpleAuthFilter;
import com.fr.stable.StringUtils;

/**
 * @Author JianYe.Wang
 * @Data 2021/9/11 10:42
 * @Description TODO
 * @Version 10.0
 **/
public class BIAuthorityBean extends BaseBean {

    private boolean authValue;
    private int authType;
    private String id;
    private String type;

    private String tableId;
    private SimpleAuthFilter filter;

    public BIAuthorityBean() {
    }

    public boolean isAuthValue() {
        return authValue;
    }

    public void setAuthValue(boolean authValue) {
        this.authValue = authValue;
    }

    public int getAuthType() {
        return authType;
    }

    public void setAuthType(int authType) {
        this.authType = authType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean hasManageAuth() {
        return StringUtils.equals(type, "pack") || StringUtils.equals(type, "group");
    }

    public SimpleAuthFilter getFilter() {
        return filter;
    }

    public void setFilter(SimpleAuthFilter filter) {
        this.filter = filter;
    }

    public String getTableId() {
        return tableId;
    }

    public void setTableId(String tableId) {
        this.tableId = tableId;
    }
}
