package com.fr.plugin.decision.api.bean.consanguinity;

import com.fr.decision.webservice.bean.BaseBean;

import java.util.List;

/**
 * @Author JianYe.Wang
 * @Data 2021/11/9 17:20
 * @Description TODO
 * @Version 10.0
 **/
public class BaseInfo extends BaseBean {

    private long initTime;
    private String createBy;
    private String createByName;
    // 完整路径id
    private List<String> fullPath;
    // 完整路径名称
    private String fullPathName;

    public BaseInfo() {
    }

    public BaseInfo(long initTime, String createBy, String createByName, List<String> fullPath, String fullPathName) {
        this.initTime = initTime;
        this.createBy = createBy;
        this.createByName = createByName;
        this.fullPath = fullPath;
        this.fullPathName = fullPathName;
    }

    public long getInitTime() {
        return initTime;
    }

    public void setInitTime(long initTime) {
        this.initTime = initTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateByName() {
        return createByName;
    }

    public void setCreateByName(String createByName) {
        this.createByName = createByName;
    }

    public List<String> getFullPath() {
        return fullPath;
    }

    public void setFullPath(List<String> fullPath) {
        this.fullPath = fullPath;
    }

    public String getFullPathName() {
        return fullPathName;
    }

    public void setFullPathName(String fullPathName) {
        this.fullPathName = fullPathName;
    }
}
