package com.fr.plugin.decision.api.bean.consanguinity;

import com.finebi.dashboard.api.bean.report.consanguinity.AbstractTableConsanguinityBean;
import com.finebi.dashboard.api.bean.report.consanguinity.AnalysisTableConsanguinityBean;
import com.fr.plugin.decision.api.service.APIService;

import java.util.stream.Collectors;

/**
 * @Author JianYe.Wang
 * @Data 2021/11/9 17:21
 * @Description TODO
 * @Version 10.0
 **/
public class XAnalysisTableConsanguinityBean extends AnalysisTableConsanguinityBean {

    private BaseInfo info;

    public XAnalysisTableConsanguinityBean(AnalysisTableConsanguinityBean bean) {
        setTableName(bean.getTableName());
        setTransferName(bean.getTransferName());
        setPackageId(bean.getPackageId());
        setPackageName(bean.getPackageName());
        setInfo(APIService.getInstance().getTableInfo(bean.getTableName()));
    }

    public BaseInfo getInfo() {
        return info;
    }

    public void setInfo(BaseInfo info) {
        this.info = info;
    }
}
