package com.fr.plugin.decision.api.bean.filter.row;

import com.finebi.burger.api.bean.configuration.auth.filter.AuthFilterBean;
import com.finebi.burger.api.bean.configuration.auth.filter.basic.AuthAndFilterBean;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author JianYe.Wang
 * @Data 2021/9/13 10:58
 * @Description TODO
 * @Version 10.0
 **/
public class And extends SimpleAuthFilter {

    private List<SimpleAuthFilter> value;

    public And() {
    }

    public List<SimpleAuthFilter> getValue() {
        return value;
    }

    public void setValue(List<SimpleAuthFilter> value) {
        this.value = value;
    }

    @Override
    public AuthFilterBean toAuthFilter() {
        AuthAndFilterBean authAndFilterBean = new AuthAndFilterBean();
        List<AuthFilterBean> child = new ArrayList<>(value.size());
        for (SimpleAuthFilter simpleAuthFilter : value) {
            child.add(simpleAuthFilter.toAuthFilter());
        }
        authAndFilterBean.setFilterValue(child);
        return authAndFilterBean;
    }
}
