package com.fr.plugin.decision.api.direct;

import java.util.Set;

/**
 * 储存有visible和manageable权限的节点Id的缓存
 *
 * @author Gaattc.Dang
 * @version 5.1.17
 * Created by Gaattc.Dang on 2021/8/26
 */
public class FineGroupHelperCacheContextForHW {

    private Set<String> visiblePackIds;
    private Set<String> visibleGroupIds;
    private Set<String> manageablePackIds;
    private Set<String> manageableGroupIds;

    public Set<String> getVisiblePackIds() {
        return visiblePackIds;
    }

    public void setVisiblePackIds(Set<String> visiblePackIds) {
        this.visiblePackIds = visiblePackIds;
    }

    public Set<String> getVisibleGroupIds() {
        return visibleGroupIds;
    }

    public void setVisibleGroupIds(Set<String> visibleGroupIds) {
        this.visibleGroupIds = visibleGroupIds;
    }

    public Set<String> getManageablePackIds() {
        return manageablePackIds;
    }

    public void setManageablePackIds(Set<String> manageablePackIds) {
        this.manageablePackIds = manageablePackIds;
    }

    public Set<String> getManageableGroupIds() {
        return manageableGroupIds;
    }

    public void setManageableGroupIds(Set<String> manageableGroupIds) {
        this.manageableGroupIds = manageableGroupIds;
    }
}
