package com.fr.plugin.decision.api.utils;

import com.finebi.activate.foundation.StableManager;
import com.finebi.dashboard.api.service.FineDashBoardService;
import com.finebi.direct.burger.api.service.FinePackageService;
import com.finebi.direct.burger.api.service.FineSqlPreviewService;
import com.finebi.direct.burger.api.service.FineTableService;
import com.finebi.foundation.api.service.FineService;
import com.finebi.foundation.api.service.context.BaseContext;

/**
 * @Author JianYe.Wang
 * @Data 2021/12/16 15:19
 * @Description TODO
 * @Version 10.0
 **/
public class DirectServiceUtils {

    private static BaseContext getContext() {
        return StableManager.getContext();
    }

    private static <T extends FineService> T getBean(Class<T> annotatedClass) {
        return getContext().getServiceBean(annotatedClass);
    }

    public static FineSqlPreviewService getSqlPreviewService() {
        return getBean(FineSqlPreviewService.class);
    }

    public static FineTableService getTableService() {
        return getBean(FineTableService.class);
    }

    public static FinePackageService getPackageService() {
        return (FinePackageService)getBean(FinePackageService.class);
    }

    public static FineDashBoardService getDashboardService() {
        return (FineDashBoardService)getBean(FineDashBoardService.class);
    }
}
