package com.fr.plugin.decision.api.web;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.decision.web.MainComponent;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.category.ScriptPath;
import com.fr.web.struct.category.StylePath;

/**
 * @Author JianYe.Wang
 * @Data 2021/9/17 11:37
 * @Description TODO
 * @Version 10.0
 **/
public class MainComponentBridge extends AbstractWebResourceProvider {

    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    @Override
    public Atom client() {
        return new Component() {
            @Override
            public ScriptPath script() {
                return ScriptPath.build("com/fr/plugin/decision/api/resource/table.tab.js");
            }

            @Override
            public StylePath style() {
                return StylePath.build("com/fr/plugin/decision/api/resource/plugin.css");
            }
        };
    }
}
