package com.fr.plugin.decision.api.bean.consanguinity;

import com.finebi.burger.api.bean.configuration.table.field.label.FieldLabelBean;
import com.finebi.dashboard.api.bean.report.consanguinity.DataBaseTableConsanguinityBean;
import com.fr.plugin.decision.api.service.APIService;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @Author JianYe.Wang
 * @Data 2021/11/9 17:33
 * @Description TODO
 * @Version 10.0
 **/
public class XDataBaseTableConsanguinityBean extends DataBaseTableConsanguinityBean {

    private BaseInfo info;

    public XDataBaseTableConsanguinityBean(DataBaseTableConsanguinityBean bean) {
        setTableName(bean.getTableName());
        setTransferName(bean.getTransferName());
        setPackageId(bean.getPackageId());
        setPackageName(bean.getPackageName());
        setConnectionName(bean.getConnectionName());
        setDbTableName(bean.getDbTableName());
        setInfo(APIService.getInstance().getTableInfo(bean.getTableName()));
    }

    public BaseInfo getInfo() {
        return info;
    }

    public void setInfo(BaseInfo info) {
        this.info = info;
    }
}
