package com.fr.plugin.decision.api.bean.filter.row;

import com.finebi.burger.api.bean.configuration.auth.filter.AuthFilterBean;
import com.fr.third.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fr.third.fasterxml.jackson.annotation.JsonSubTypes;
import com.fr.third.fasterxml.jackson.annotation.JsonTypeInfo;

/**
 * @Author JianYe.Wang
 * @Data 2021/9/13 10:44
 * @Description TODO
 * @Version 10.0
 **/
@JsonTypeInfo(
        use = JsonTypeInfo.Id.NAME,
        include = JsonTypeInfo.As.PROPERTY,
        property = "type"
)
@JsonSubTypes({
        @JsonSubTypes.Type(value = And.class, name = "and"),
        @JsonSubTypes.Type(value = Or.class, name = "or"),
        @JsonSubTypes.Type(value = StrIn.class, name = "strIn"),
        @JsonSubTypes.Type(value = StrNotIn.class, name = "strNotIn")
})
@JsonIgnoreProperties(ignoreUnknown = true)
public abstract class SimpleAuthFilter {

    public abstract AuthFilterBean toAuthFilter();

}
