package com.fr.plugin.decision.api.bean.filter.row;

import com.finebi.burger.api.bean.configuration.auth.filter.AuthFilterBean;
import com.finebi.burger.api.bean.configuration.auth.filter.string.AuthStringBelongFilterBean;
import com.finebi.foundation.api.bean.value.string.StringBelongFilterValueBean;
import com.finebi.foundation.utils.ServiceFieldIdUtils;
import com.fr.stable.CommonUtils;

import java.util.List;

/**
 * @Author JianYe.Wang
 * @Data 2021/9/13 10:45
 * @Description TODO
 * @Version 10.0
 **/
public class StrIn extends SimpleAuthFilter {

    private String fieldId;
    private List<String> value;

    public StrIn() {
    }

    public String getFieldId() {
        return fieldId;
    }

    public void setFieldId(String fieldId) {
        this.fieldId = fieldId;
    }

    public List<String> getValue() {
        return value;
    }

    public void setValue(List<String> value) {
        this.value = value;
    }

    @Override
    public AuthFilterBean toAuthFilter() {
        AuthStringBelongFilterBean stringBelongFilterBean = new AuthStringBelongFilterBean();
        stringBelongFilterBean.setFieldId(fieldId);
        stringBelongFilterBean.setId(CommonUtils.getRandomStr(16));
        stringBelongFilterBean.setFieldName(ServiceFieldIdUtils.fieldDecode(fieldId));
        StringBelongFilterValueBean valueBean = new StringBelongFilterValueBean();
        valueBean.setValue(value);
        stringBelongFilterBean.setFilterValue(valueBean);
        return stringBelongFilterBean;
    }
}
