package com.fr.plugin.decision.api.bean.table;

import com.finebi.burger.api.bean.configuration.table.field.FineBusinessField;
import com.finebi.burger.api.bean.configuration.table.response.TableSaveResultBean;

import java.util.List;

/**
 * @Author JianYe.Wang
 * @Data 2021/9/11 14:43
 * @Description TODO
 * @Version 10.0
 **/
public class AddTableResult extends TableSaveResultBean {

    private List<FineBusinessField> columns;

    public AddTableResult() {
    }

    public AddTableResult(TableSaveResultBean saveResultBean, List<FineBusinessField> columns) {
        setName(saveResultBean.getName());
        setTransferName(saveResultBean.getTransferName());
        setColumns(columns);
    }

    public AddTableResult(String name, String transferName, List<FineBusinessField> columns) {
        setName(name);
        setTransferName(transferName);
        setColumns(columns);
    }

    public List<FineBusinessField> getColumns() {
        return columns;
    }

    public void setColumns(List<FineBusinessField> columns) {
        this.columns = columns;
    }
}
