package com.fr.plugin.decision.api.controller.platform;

import com.fr.decision.webservice.Response;
import com.fr.decision.webservice.v10.entry.EntryService;
import com.fr.decision.webservice.v10.user.UserService;
import com.fr.third.springframework.stereotype.Controller;
import com.fr.third.springframework.web.bind.annotation.RequestMapping;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.third.springframework.web.bind.annotation.RequestParam;
import com.fr.third.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @Author JianYe.Wang
 * @Data 2021/8/3 16:34
 * @Description TODO
 * @Version 10.0
 **/
@Controller
@RequestMapping(value = "/api/{version}/plugin/entry")
public class EntryController {

    @RequestMapping(value = "/info", method = RequestMethod.GET)
    @ResponseBody
    public Response getTemplateInfoById(HttpServletRequest req,
                                        HttpServletResponse res,
                                        @RequestParam(value = "nodeId") String nodeId) throws Exception {
        String userId = UserService.getInstance().getCurrentUserId(req);
        return Response.ok(EntryService.getInstance().getEntryById(userId, nodeId));
    }


}
