package com.fr.plugin.decision.api.excel;

import com.fr.stable.AssistUtils;

import java.util.HashSet;
import java.util.Set;

/**
 * @version 5.1.3
 * Created by sunmondong on 2021/1/13
 */
public class ExcelReportIndexConf {

    private Set<String> reportIds = new HashSet<>();

    public Set<String> getReportIds() {
        return reportIds;
    }

    public void setReportIds(Set<String> reportIds) {
        this.reportIds = reportIds;
    }

    @Override
    public boolean equals(Object o) {
        return o instanceof ExcelReportIndexConf &&
                AssistUtils.equals(reportIds, ((ExcelReportIndexConf) o).reportIds);
    }

    @Override
    public int hashCode() {
        return AssistUtils.hashCode(reportIds);
    }

    @Override
    public String toString() {
        return AssistUtils.toString(this);
    }
}